#
# spec file for package python-karborclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname python-karborclient
Name:           python-karborclient
Version:        1.2.0
Release:        3.7
Summary:        Python API and CLI for OpenStack Karbor
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Babel
BuildRequires:  python-PrettyTable
BuildRequires:  python-devel
BuildRequires:  python-fixtures
BuildRequires:  python-keystoneauth1
BuildRequires:  python-mock
BuildRequires:  python-osc-lib
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-python-subunit
BuildRequires:  python-requests
BuildRequires:  python-requests-mock
BuildRequires:  python-simplejson
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-keystoneauth1
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-simplejson
Requires:       python-six
BuildArch:      noarch

%description
OpenStack Clustering service Provisioning API Client Library

This is a client for the OpenStack Karbor API. It provides a Python API (the
karborclient module) and a command-line interface (Karbor).

%package doc
Summary:        Documentation for OpenStack Karbor API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno

%description doc
This is a client for the OpenStack Karbor API and a command-line script (karbor).
Each implements 100% of the OpenStack Karbor API.
This package contains auto-generated documentation.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%{py2_build}

PBR_VERSION=%version sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst
%{_bindir}/karbor
%{python2_sitelib}/karborclient
%{python2_sitelib}/*.egg-info
%{_bindir}/karbor

%files doc
%license LICENSE
%doc doc/build/html

%changelog
